REST APIOrganizationEnterprise Management

POST

Sign a contract for an enterprise within an organization

Sign a contract (MPA, CSA, etc.) for an enterprise under the specified organization.

Path Params

  • organizationId string required

    matches ^[0-9a-f]{32}$

  • enterpriseId string required

    matches ^[0-9a-f]{32}$

Body Params

object

  • contractType string enum required
    trade-mpacustody-sastaking-samaster-agreementdistributed-custody-micaccredited-investor-cl
  • signedDate string

Responses

200
OK

Response Body

object

  • success boolean required
  • contractsSigned array of objects required
    contractsSigned object
    • contractType string required
    • signedBy string required
    • signedDate string required
    • ip string required
  • message string required
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id